Subject: [hackers-il] usage of patented and closed source products in courses.

From: "Tzahi Fadida" <[email-masked]>
Date: Wed, 24 Dec 2003 20:08:43 +0200

> -----Original Message-----
> From: Omer Zak [mailto:[email-masked]]
> Sent: Wednesday, December 24, 2003 5:59 PM
> To: Hackers-IL
> Subject: Re: [hackers-il] usage of patented and closed source
> products in courses.
>
>
>
> On Wed, 24 Dec 2003, Tzahi Fadida wrote:
>
> > Hi all,
> > I want to discuss an anti-academic issue i recently encountered.
> > the issue includes these problems which are not neccessarily
> mutually exclusive:
> > 1) closed source applications in theoretic courses.
> > 2) closed source applications in non theoretic courses.
> > 3) patented technologies
> > 4) patented scientific methodologies
>
> [... snipped ...]
>
> > ok, after all that, specifically i have a grievance with a course
> called "intro
> > to databases engineering" which its main theme is ECA - event
> condition action.
> > the lecturer and TA both work forIBM. the engine called AMIT is used to
> > identify world and database events and repond to situations, and
> used in hw and
> > exams. its a lot like the states model in UML but for events only. several
> > techniques are patented and are being studied at this class. The
> main excuse for
> > this product promotion is that the lecturer wants to teach us about new
> > technologies that are about to come out. now, if i wanted to do
> that, i could
> > open a gartner survey or a few companies brochurs.
> > This course is considered mandatory to MSC students and thus cannot
> a avoid it.
>
> The first question which I'd ask is whether the patented know-how is
> fundamental for whatever subject you are studying.  For example, the RSA
> algorithm was patented (until recently) but had fundamental importance.

no its not, but no other methodologies or principals are being taught as an
alternative.
i asked the lecturer and he told me that i can look for it myself, maybe i'll
find some articles?!
what kind of an answer is that, probably he told me that so people won;t compete
with IBM, but this
is an absurd. this is not an open market, but an academic institution, we are
supposed to learn science and
not how to prevent others from learning.

>
> Or (another hypothetical example) study of the applications of electron
> microscopes or of lasers when their patents were in force.
>
> The next question is whether studying the patented know-how is mandatory
> for getting the M.Sc. by faculty's academic regulations.  But I can
> suppose that sometimes new developments in fields of knowledge are
> patented, yet have fundamental importance.

whats mandatory is the course which MSC students must take from a predetermined
list.

>
> The third question is whether there is sufficient disclosure of
> information in order to verify experimental results obtained by use of the
> patented technology in question.  With electron microscopes and lasers
> there were no such problems.  All important information about the physical
> configuration of those instruments is available to the experimenter, and
> they are much less complicated than the software to which Tzahi alluded.
> This is important as part of the principle of peer review, by which
> science self-checks and advances.

the general information is out there. regarding what is the underlying science
of the experimental software
called AMIT from ibm is using -
no such information is available since the source is closed. for example, i
found a bug under a certain JVM and
they said its not a bug. well, how nice for them, i cannot proove that since i
have no access to the code.
several days after they found a bug. what now?

>
> In brief:  Tzahi's grievance may be attacked on grounds of peer review.
> If research based upon those secret technologies cannot be verified by
> peer review, then it has no place in academic journals or in universities.
> At best, it has place in industrial R&D centers.

no, i believe the patent is of course known and the papers are mostly, though
can't be verified, out there.
regarding peer review that can verify that the software is in complience with
the alledge scientific principals, which mind you were only taught in part. What
good is it to experiment with it if we cannot see whats happening.
i.e.: this is the difference between studying technology, which i think should
not be taught in a university, to studying
science.

>                                              --- Omer
> My opinions, as expressed in this E-mail message, are mine alone.
> They do not represent the official policy of any organization with which
> I may be affiliated in any way.
> WARNING TO SPAMMERS:  at http://www.zak.co.il/spamwarning.html
>
>
> To unsubscribe from this group, send an email to:
> [email-masked]
>
>
>
>
> Yahoo! Groups Links
>
> To visit your group on the web, go to:
>  http://groups.yahoo.com/group/hackers-il/
>
> To unsubscribe from this group, send an email to:
>  [email-masked]
>
> Your use of Yahoo! Groups is subject to:
>  http://docs.yahoo.com/info/terms/
>
>
>